# Uses of Interface
org.eclipse.rap.rwt.service.ApplicationContext

Packages that use ApplicationContext
Package
Description
org.eclipse.rap.rwt
org.eclipse.rap.rwt.application
org.eclipse.rap.rwt.service

## Uses of ApplicationContext in org.eclipse.rap.rwt

Methods in org.eclipse.rap.rwt that return ApplicationContext
Modifier and Type
Method
Description
`static ApplicationContext`
RWT.`getApplicationContext()`
Returns the `ApplicationContext` instance that represents the web context's global data storage area.
Methods in org.eclipse.rap.rwt with parameters of type ApplicationContext
Modifier and Type
Method
Description
`static <T> T`
SingletonUtil.`getUniqueInstance(Class<T> type, ApplicationContext applicationContext)`
Returns an instance of the specified type that is unique within the given UI session.

## Uses of ApplicationContext in org.eclipse.rap.rwt.application

Methods in org.eclipse.rap.rwt.application that return ApplicationContext
Modifier and Type
Method
Description
`ApplicationContext`
ApplicationRunner.`getApplicationContext()`
Returns the `ApplicationContext` of the running application that is controlled by this application runner.

## Uses of ApplicationContext in org.eclipse.rap.rwt.service

Methods in org.eclipse.rap.rwt.service that return ApplicationContext
Modifier and Type
Method
Description
`ApplicationContext`
ApplicationContextEvent.`getApplicationContext()`
Returns the application context that this event is related to.
`ApplicationContext`
UISession.`getApplicationContext()`
Returns the ApplicationContext this UISession belongs to.
Constructors in org.eclipse.rap.rwt.service with parameters of type ApplicationContext
Modifier
Constructor
Description
``
`ApplicationContextEvent(ApplicationContext context)`
Creates a new instance of this class.